/**
 * 徐祥健<xuxj@hugeinfo.com.cn>
 * 2018年7月16日 16:14
 *
 */


import React from 'react';
import './style.scss';
import yewu from '../../asset/icons/daiban.png';
import falv from '../../asset/icons/xinfang.png';
import huodong from '../../asset/icons/huodong.png';
import zaixian from '../../asset/icons/zixun.png';
import xiaoxi from '../../asset/icons/xinxi.png';
import tousu from '../../asset/icons/yuyue.png';
const iconsmap = {
  huodong, xiaoxi, tousu,yewu, zaixian, falv
};
export default class CardView extends React.Component {
  render() {
    const { dateSource } = this.props;
    return (

      <div className="card-view-main">
        {
          dateSource.map((data, key) => (
            <div className='card-view-card' key={key}>
              <div className='card-view-title'><img src={iconsmap[data.icon]} className='card-view-img' /> {data.title}</div>
              <div className='card-view-count'><span className='card-view-span'>{data.count}</span>条</div>
            </div>
          ))
        }

      </div>

    );
  }

}
